/**
 * Copyright (c) 2015-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @providesModule ViewPropTypes
 * @flow
 */
'use strict';

const PropTypes = require('prop-types');

module.exports = {
    style: PropTypes.oneOfType([
        PropTypes.object,
        PropTypes.array
    ])
};
